List Webhook Subscriptions
curl --request GET \
--url https://api.chat-dash.com/v1/public/webhooks/subscriptions \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/webhooks/subscriptions"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/webhooks/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"clientId": "<string>",
"agentId": "<string>",
"webhookUrl": "<string>",
"events": [
"call.started"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Webhook Subscriptions
List Webhook Subscriptions
Get all webhook subscriptions for a client
GET
/
webhooks
/
subscriptions
List Webhook Subscriptions
Headers
Client-specific API key for authentication
Pattern:
^CD\.CL\.Query Parameters
Filter subscriptions by client ID
Response
200 - application/json
List of webhook subscriptions
Unique identifier for the subscription
The client associated with the subscription
The agent associated with the subscription
The URL where event notifications will be sent
List of events that trigger notifications
Available options:
call.started, call.missed, call.ended, call.inbound When the subscription was created
When the subscription was last updated
